/*----------------------------------------------------------------------------

pcboard.sys format

      1,2        ascii    display on/off      (-1 or 0)
      3,2        ascii    printer on/off      (-1 or 0)
      5,2        ascii    page bell on/off    (-1 or 0)
      7,2        ascii    caller alarm on/off (-1 or 0)
      9,2        ascii    sysop next-on flag  ("n ", "x " or "  ")
     11,4        ascii    "connect" bps rate of caller  
     15,27       ascii    name of caller plus 2 spaces  
     42,15       ascii    first name of caller padded to 15 spaces  
     57,2        ascii    graphics mode of caller ("-1" for graphihcs at
                          8-n-1, " 0" for non-graphics at 8-n-1, or "7e"
                          for a caller at 7-e-1 non-graphics mode)  
     59,12       ascii    password of caller
     71,2        mki$     user's record number in data base
     73,4        mks$     time user logged on in seconds format
     77,4        mks$     user's allowed time in seconds  
     81,4        mks$     time user exited through the door in seconds format  
     85,5        ascii    time user logged on in hh:mm format
     90,2        mki$     conference user exited to dos from
     92,18       mki$     conf. 1-9 "joined flags" (in order -1 or 0) as mki$  
    110,2        mki$     highest "conference time add" so far that call.
    112,8        mkd$     daily download byte limit (from pwrd's file)
    120,2        mki$     upload time credit so far that call
    122,4        ascii    language version beging used (blank, .fre, etc.)
    126,2        ascii    error correcting modem (-1 or 0)
    128,1        ascii    last node chat flag status ("u" or "a")

---------------------------------------------------------------------------*/

typedef struct pcbsystyp {
	char	display[2];
	char   printer[2];
	char   pagebell[2];
	char   calleralarm[2];
	char   sysopnext[2];
	char   connectrate[4];
	char   callernameplus2[27];
	char   firstname[15];
	char   graphicsmode[2];
	char   password[12];
	short  userrecnum;
	long   logonseconds;
	long   allowedseconds;
	long   exitedseconds;
	char   logonhhmm[5];
	short  lastconf;
	short  conf1join;
	short  conf2join;
	short  conf3join;
	short  conf4join;
	short  conf5join;
	short  conf6join;
	short  conf7join;
	short  conf8join;
	short  conf9join;
	short  timeadd;
	long   bytelimit;
	long   morebytes;
	short  timecredit;
	char   language[4];
	char   errorcorrection[2];
	char   lastchat;
}	pcbsystype;
